Upstream information

CVE-2021-30498 at MITRE

Description

A flaw was found in libcaca. A heap buffer overflow in export.c in function export_tga might lead to memory corruption and other potential consequences.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 9.8
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1184752 [RESOLVED / FIXED], 1200020 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
HPE-Helion-OpenStack-8-2022-820
SUSE CaaS Platform 4.0
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2022-754
SUSE Enterprise Storage 6
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-Storage-6-2022-754
SUSE Enterprise Storage 7
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-Storage-7-2022-769
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-769
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libcaca-devel >= 0.99.beta19.git20171003-150200.11.6.1
  • libcaca0 >= 0.99.beta19.git20171003-150200.11.6.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-150200.11.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libcaca-devel-0.99.beta19.git20171003-150200.11.6.1
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-754
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-754
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-769
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-769
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-2022-754
SUSE Linux Enterprise Point of Sale 11 SP3
  • libcaca >= 0.99.beta13b-49.3.1
Patchnames:
sleposp3-libcaca-14909
SUSE Linux Enterprise Real Time 15 SP2
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-RT-15-SP2-2022-769
SUSE Linux Enterprise Server 11 SP4-LTSS
  • libcaca >= 0.99.beta13b-49.3.1
Patchnames:
slessp4-libcaca-14909
SUSE Linux Enterprise Server 12 SP2-BCL
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2022-820
SUSE Linux Enterprise Server 12 SP3-BCL
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2022-820
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2022-820
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2022-820
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2022-820
SUSE Linux Enterprise Server 12 SP4-LTSS
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2022-820
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libcaca-devel >= 0.99.beta18-14.6.1
  • libcaca0 >= 0.99.beta18-14.6.1
  • libcaca0-plugins >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-820
SUSE-SLE-SERVER-12-SP5-2022-820
SUSE Linux Enterprise Server 15 SP1-BCL
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2022-754
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-754
SUSE Linux Enterprise Server 15 SP2-BCL
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-769
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-769
SUSE Linux Enterprise Server 15-LTSS
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-2022-754
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2022-820
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2022-820
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2022-754
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-769
SUSE Linux Enterprise Server for SAP Applications 15
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2022-754
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libcaca-devel >= 0.99.beta18-14.6.1
  • libcaca0-plugins >= 0.99.beta18-14.6.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-820
SUSE Manager Proxy 4.0
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2022-754
SUSE Manager Proxy 4.1
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-769
SUSE Manager Retail Branch Server 4.0
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2022-754
SUSE Manager Retail Branch Server 4.1
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-769
SUSE Manager Server 4.0
  • libcaca-devel >= 0.99.beta19.git20171003-3.8.1
  • libcaca0 >= 0.99.beta19.git20171003-3.8.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-3.8.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2022-754
SUSE Manager Server 4.1
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-769
SUSE OpenStack Cloud 8
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-OpenStack-Cloud-8-2022-820
SUSE OpenStack Cloud 9
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-820
SUSE OpenStack Cloud Crowbar 8
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2022-820
SUSE OpenStack Cloud Crowbar 9
  • libcaca0 >= 0.99.beta18-14.6.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-820
openSUSE Leap 15.3
  • caca-utils >= 0.99.beta19.git20171003-11.3.1
  • libcaca-devel >= 0.99.beta19.git20171003-11.3.1
  • libcaca-ruby >= 0.99.beta19.git20171003-11.3.1
  • libcaca0 >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-32bit >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins >= 0.99.beta19.git20171003-11.3.1
  • libcaca0-plugins-32bit >= 0.99.beta19.git20171003-11.3.1
  • python3-caca >= 0.99.beta19.git20171003-11.3.1
Patchnames:
openSUSE-SLE-15.3-2022-769
openSUSE Leap 15.4
  • libcaca0 >= 0.99.beta19.git20171003-150200.11.6.1
Patchnames:
openSUSE Leap 15.4 GA libcaca0-0.99.beta19.git20171003-150200.11.6.1
openSUSE Tumbleweed
  • caca-utils >= 0.99.beta19.git20171003-8.3
  • libcaca-devel >= 0.99.beta19.git20171003-8.3
  • libcaca-ruby >= 0.99.beta19.git20171003-8.3
  • libcaca0 >= 0.99.beta19.git20171003-8.3
  • libcaca0-32bit >= 0.99.beta19.git20171003-8.3
  • libcaca0-plugins >= 0.99.beta19.git20171003-8.3
  • libcaca0-plugins-32bit >= 0.99.beta19.git20171003-8.3
  • python3-caca >= 0.99.beta19.git20171003-8.3
Patchnames:
openSUSE Tumbleweed GA caca-utils-0.99.beta19.git20171003-8.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libcaca Released
SUSE CaaS Platform 4.0 libcaca Released
SUSE CaaS Platform 4.5 libcaca Analysis
SUSE Enterprise Storage 6 libcaca Released
SUSE Enterprise Storage 7 libcaca Released
SUSE Linux Enterprise Desktop 15 SP2 libcaca Analysis
SUSE Linux Enterprise Desktop 15 SP3 libcaca Released
SUSE Linux Enterprise Desktop 15 SP4 libcaca Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libcaca Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libcaca Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS libcaca Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libcaca Released
SUSE Linux Enterprise High Performance Computing 15 SP2 libcaca Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS libcaca Released
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS libcaca Released
SUSE Linux Enterprise High Performance Computing 15 SP3 libcaca Released
SUSE Linux Enterprise High Performance Computing 15 SP4 libcaca Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 libcaca Analysis
SUSE Linux Enterprise Module for Basesystem 15 SP3 libcaca Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 libcaca Released
SUSE Linux Enterprise Point of Service 11 SP3 libcaca Released
SUSE Linux Enterprise Real Time 15 SP2 libcaca Released
SUSE Linux Enterprise Server 11 SP1 libcaca Unsupported
SUSE Linux Enterprise Server 11 SP3 libcaca Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS libcaca Released
SUSE Linux Enterprise Server 12 SP2 BCL libcaca Released
SUSE Linux Enterprise Server 12 SP3 BCL libcaca Released
SUSE Linux Enterprise Server 12 SP3 ESPOS libcaca Released
SUSE Linux Enterprise Server 12 SP3 LTSS libcaca Released
SUSE Linux Enterprise Server 12 SP4 ESPOS libcaca Released
SUSE Linux Enterprise Server 12 SP4 LTSS libcaca Released
SUSE Linux Enterprise Server 12 SP5 libcaca Released
SUSE Linux Enterprise Server 15 ESPOS libcaca Released
SUSE Linux Enterprise Server 15 LTSS libcaca Released
SUSE Linux Enterprise Server 15 SP1 LTSS libcaca Released
SUSE Linux Enterprise Server 15 SP2 libcaca Analysis
SUSE Linux Enterprise Server 15 SP2 LTSS libcaca Released
SUSE Linux Enterprise Server 15 SP3 libcaca Released
SUSE Linux Enterprise Server 15 SP4 libcaca Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libcaca Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libcaca Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libcaca Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libcaca Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libcaca Released
SUSE Linux Enterprise Server for SAP Applications 15 libcaca Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libcaca Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libcaca Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libcaca Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libcaca Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libcaca Released
SUSE Linux Enterprise Storage 7 libcaca Analysis
SUSE Linux Enterprise Storage 7.1 libcaca Released
SUSE Manager Proxy 4.0 libcaca Released
SUSE Manager Proxy 4.1 libcaca Analysis
SUSE Manager Proxy 4.2 libcaca Released
SUSE Manager Proxy 4.3 libcaca Released
SUSE Manager Retail Branch Server 4.0 libcaca Released
SUSE Manager Retail Branch Server 4.1 libcaca Analysis
SUSE Manager Retail Branch Server 4.2 libcaca Released
SUSE Manager Retail Branch Server 4.3 libcaca Released
SUSE Manager Server 4.0 libcaca Released
SUSE Manager Server 4.1 libcaca Analysis
SUSE Manager Server 4.2 libcaca Released
SUSE Manager Server 4.3 libcaca Released
SUSE OpenStack Cloud 8 libcaca Released
SUSE OpenStack Cloud 9 libcaca Released
SUSE OpenStack Cloud Crowbar 8 libcaca Released
SUSE OpenStack Cloud Crowbar 9 libcaca Released